com.rscja.custom

## Class UHFXSAPI

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.deviceapi.RFIDWithUHFUART
    - - com.rscja.custom.UHFXSAPI

- All Implemented Interfaces:
    IHandheldRFID, ISingleAntenna, IUHF, IUHFInventoryCallback, IUHFOfAndroidUart

      public class UHFXSAPI
      extends RFIDWithUHFUART
      implements IUHFInventoryCallback

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UHFXSAPI.Bank`

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `callback(UHFTAGInfo uhftagInfo)`
    `InventoryModeEntity` | `getEPCAndTIDUserMode()` 获取当前设置的盘点模式 (Get the currently set inventory mode)
    `static UHFXSAPI` | `getInstance()`
    `UHFTAGInfo` | `readTagFromBuffer()` Deprecated.
    `boolean` | `setEPCAndTIDMode()` 设置循环盘点同时读取 EPC、TID 模式 Setup auto scan to acquire EPC, TID mode
    `boolean` | `setEPCAndTIDUserMode(int user_prt, int user_len)` 设置循环盘点同时读取 EPC、TID、USER 模式 Setup auto scan to acquire EPC, TID, User mode
    `boolean` | `setEPCMode()` 设置循环盘点只获取EPC的数据 Setup auto scan to acquire EPC only
    `boolean` | `setInventoryBank(UHFXSAPI.Bank bank, int offset, int length)`
    `void` | `setInventoryCallback(IUHFInventoryCallback inventoryCallback)` 设置盘点回调接口，接收循环盘点到的标签数据 Set the inventory callback interface to receive the label data from the cyclic inventory 备注：需要在开始循环盘点`RFIDWithUHFUART.startInventoryTag()`之前调用此方法。 Note: This method needs to be called before starting the loop inventory `RFIDWithUHFUART.startInventoryTag()`.

    - ### Methods inherited from class com.rscja.deviceapi.RFIDWithUHFUART

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getErrCode, getFastInventoryMode, getFrequencyMode, getGen2, getHardwareVersion, getPower, getProtocol, getRFLink, getTagLocate, getTemperature, getVersion, init, inventorySingleTag, inventorySingleTag, isInventorying, isPowerOn, killTag, killTag, lockMem, lockMem, readData, readData, setConnectionStatusCallback, setCW, setDynamicDistance, setEPCAndTIDUserMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setOnLowBatteryListener, setPower, setPowerOnBySystem, setProtocol, setRFLink, setTagFocus, setUart, startInventoryTag, startInventoryTag, startLocation, startRadarLocation, stopInventory, stopLocation, stopRadarLocation, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from class com.rscja.deviceapi.UhfBase

      `readTcpServiceState`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static UHFXSAPI getInstance()

    - #### setInventoryBank

          public boolean setInventoryBank(UHFXSAPI.Bank bank,
                                          int offset,
                                          int length)

    - #### setEPCAndTIDMode

          public boolean setEPCAndTIDMode()

      Description copied from interface: `IUHF`
      设置循环盘点同时读取 EPC、TID 模式
      Setup auto scan to acquire EPC, TID mode
      Specified by:
        `setEPCAndTIDMode` in interface `IUHF`
      Overrides:
        `setEPCAndTIDMode` in class `RFIDWithUHFUART`
      Returns:
        true:成功(success) false:失败(failure)

    - #### setEPCAndTIDUserMode

          public boolean setEPCAndTIDUserMode(int user_prt,
                                              int user_len)

      Description copied from interface: `IUHF`
      设置循环盘点同时读取 EPC、TID、USER 模式
      Setup auto scan to acquire EPC, TID, User mode
      Specified by:
        `setEPCAndTIDUserMode` in interface `IUHF`
      Overrides:
        `setEPCAndTIDUserMode` in class `RFIDWithUHFUART`
      Parameters:
        `user_prt` - USER区起始地址(Start addressin USER area)
        `user_len` - USER区长度(Data length in USER area)
      Returns:
        true:成功(success) false:失败(failure)

    - #### setEPCMode

          public boolean setEPCMode()

      Description copied from interface: `IUHF`
      设置循环盘点只获取EPC的数据
      Setup auto scan to acquire EPC only
      Specified by:
        `setEPCMode` in interface `IUHF`
      Overrides:
        `setEPCMode` in class `RFIDWithUHFUART`
      Returns:
        true:成功(success) false:失败(failure)

    - #### getEPCAndTIDUserMode

          public InventoryModeEntity getEPCAndTIDUserMode()

      Description copied from interface: `IUHF`
      获取当前设置的盘点模式 (Get the currently set inventory mode)
      Specified by:
        `getEPCAndTIDUserMode` in interface `IUHF`
      Overrides:
        `getEPCAndTIDUserMode` in class `RFIDWithUHFUART`
      Returns:
        返回盘点模式的对象(the object that returns the inventory mode)

    - #### callback

          public void callback(UHFTAGInfo uhftagInfo)

      Specified by:
        `callback` in interface `IUHFInventoryCallback`

    - #### setInventoryCallback

          public void setInventoryCallback(IUHFInventoryCallback inventoryCallback)

      Description copied from class: `RFIDWithUHFUART`
      设置盘点回调接口，接收循环盘点到的标签数据
      Set the inventory callback interface to receive the label data from the cyclic inventory
      备注：需要在开始循环盘点`RFIDWithUHFUART.startInventoryTag()`之前调用此方法。
      Note: This method needs to be called before starting the loop inventory `RFIDWithUHFUART.startInventoryTag()`.
      Specified by:
        `setInventoryCallback` in interface `IUHF`
      Overrides:
        `setInventoryCallback` in class `RFIDWithUHFUART`
      Parameters:
        `inventoryCallback` - 盘点回调接口(inventory callback interface)

    - #### readTagFromBuffer

          public UHFTAGInfo readTagFromBuffer()

      Description copied from interface: `IUHF`
      Deprecated. Use `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` instead .
      Specified by:
        `readTagFromBuffer` in interface `IUHF`
      Overrides:
        `readTagFromBuffer` in class `RFIDWithUHFUART`